%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname ppx_enumerate

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 1
Summary:        Generate a list containing all values of a finite type
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/ppx_enumerate
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0
BuildRequires:  ocaml-ppxlib-jane-devel >= 0.17

%description
Ppx_enumerate is a ppx rewriter which generates a definition for the
list of all values of a type (for a type which has only finitely many
values).


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-ppxlib-jane-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel


%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 1:0.17.0-1.mga10
+ Revision: 2192892
- new version: 0.17.0

* Sun Dec 11 2022 pterjan <pterjan> 1:0.15.0-4.mga9
+ Revision: 1920624
- Rebuild for new ppxlib

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-3.mga9
+ Revision: 1895911
- Rebuild for new ocaml-ppxlib

* Thu May 19 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859296
- Rebuild for OCaml 4.14

* Tue May 17 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1858534
- Update to 0.15.0

* Tue Apr 05 2022 umeabot <umeabot> 1:0.14.0-3.mga9
+ Revision: 1844559
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1:0.14.0-2.mga9
+ Revision: 1751232
- Rebuild for ocaml 4.13.1

* Sat Mar 20 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1705158
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670779
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551809
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545872
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485331
- rebuild for new ocaml-stdio

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483838
- new release + rebuild for ocaml-4.10

* Wed Oct 24 2018 pterjan <pterjan> 1:0.11.1-1.mga7
+ Revision: 1324769
- Update to 0.11.1

* Thu Aug 30 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1255611
- rebuild for new ocaml-result 1.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1241921
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193565
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Mon Feb 22 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 976131
- imported package ocaml-ppx_enumerate

